Activity log for bug #966482

Date Who What changed Old value New value Message
2012-03-27 19:07:20 Jay Pipes bug added bug
2012-03-27 19:14:41 Jay Pipes tempest: status In Progress Invalid
2012-03-27 19:35:16 Jay Pipes summary UnboundLocalError: local variable 'password' referenced before assignment Authentication and authorization configuration is a complete mess
2012-03-27 19:35:20 Jay Pipes tempest: status Invalid In Progress
2012-03-27 19:36:23 Jay Pipes description ====================================================================== ERROR: test suite for <class 'tempest.tests.test_volumes_negative.VolumesTest'> ---------------------------------------------------------------------- Traceback (most recent call last): File "/usr/lib/pymodules/python2.7/nose/suite.py", line 208, in run self.setUp() File "/usr/lib/pymodules/python2.7/nose/suite.py", line 291, in setUp self.setupContext(ancestor) File "/usr/lib/pymodules/python2.7/nose/suite.py", line 314, in setupContext try_run(context, names) File "/usr/lib/pymodules/python2.7/nose/util.py", line 478, in try_run return func() File "/home/jpipes/repos/tempest/tempest/tests/test_volumes_negative.py", line 12, in setUpClass cls.os = openstack.Manager() File "/home/jpipes/repos/tempest/tempest/openstack.py", line 26, in __init__ if None in [username, password, tenant_name]: UnboundLocalError: local variable 'password' referenced before assignment Getting these all over the place... We really need a real gating job. ====================================================================== ERROR: test suite for <class 'tempest.tests.test_volumes_negative.VolumesTest'> ---------------------------------------------------------------------- Traceback (most recent call last):   File "/usr/lib/pymodules/python2.7/nose/suite.py", line 208, in run     self.setUp()   File "/usr/lib/pymodules/python2.7/nose/suite.py", line 291, in setUp     self.setupContext(ancestor)   File "/usr/lib/pymodules/python2.7/nose/suite.py", line 314, in setupContext     try_run(context, names)   File "/usr/lib/pymodules/python2.7/nose/util.py", line 478, in try_run     return func()   File "/home/jpipes/repos/tempest/tempest/tests/test_volumes_negative.py", line 12, in setUpClass     cls.os = openstack.Manager()   File "/home/jpipes/repos/tempest/tempest/openstack.py", line 26, in __init__     if None in [username, password, tenant_name]: UnboundLocalError: local variable 'password' referenced before assignment Getting these all over the place... We really need a real gating job. The sample config file (https://github.com/openstack/tempest/blob/master/etc/tempest.conf.sample) is still showing nonadmin1_user in the identity section. we need to pull this back out and get ahold of the way identity stuff is tested and configured...
2012-04-25 13:55:38 Jay Pipes tempest: status In Progress Fix Committed
2012-07-11 15:30:42 Jay Pipes tempest: status Fix Committed Fix Released
2013-09-23 22:47:49 Sean Dague tempest: milestone havana-3